GET Get Template​
GET
/templates/{id}
Retrieve a single email template by ID. Returns the template content, email subject, edit type, design template, and settings including template configuration and footer settings. If the template ID does not exist, returns a blank template structure with defaults.
Authorizations​
ApplicationPasswords
WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password
Type
API Key (header: Authorization)
Parameters​
Path Parameters
id*
The template ID.
Type
Requiredinteger
Responses​
Template details.
application/json
JSON
{
"template": {
"post_title": "string",
"post_content": "string",
"post_excerpt": "string",
"email_subject": "string",
"edit_type": "string",
"design_template": "string",
"settings": {
"template_config": {
"content_padding": 20,
"additionalProperties": "string"
},
"footer_settings": {
"custom_footer": "no",
"footer_content": "string"
}
}
}
}